Token introspection endpoint
POSThttps://merchant.shuttleglobal.com/introspect
Authenticate your client in one of two ways:
- In the request body, with the
client_idandclient_secretparameters, or - With HTTP Basic authentication, using your
client_idas the username and yourclient_secretas the password
Use one method per request, not both. If you put client_id or client_secret in the body, put both there.
Provides information about a token’s current state and metadata. Used by resource servers to validate tokens and get additional information.
Note: This endpoint requires client authentication to prevent token scanning attacks.
Authorizations
Section titled “Authorizations”- clientAuth
- None
Request Bodyrequired
Section titled “Request Bodyrequired”object
The string value of the token to introspect
Optional hint about the type of token being introspected
Your client ID. Required unless you send it with HTTP Basic authentication.
Your client secret. Required unless you send it with HTTP Basic authentication.
object
The string value of the token to introspect
Optional hint about the type of token being introspected
Your client ID. Required unless you send it with HTTP Basic authentication.
Your client secret. Required unless you send it with HTTP Basic authentication.
Responses
Section titled “Responses”Token introspection response
object
Indicates if the token is currently active
Application the token was issued for
/^app_\d+_\d+$/Timestamp when the token will expire
Timestamp when the token was issued
Client identifier the token is connected to, representing the instance
/^cl_\d+$/Invalid request
Invalid client credentials
Was this page helpful?
What went wrong?
Thanks for telling us.